MONSTER HUNTER RISE Switch NSP + DLCs + Update 1.1.2 [USA/JPN]

MONSTER HUNTER RISE Switch NSP

Title: MONSTER HUNTER RISE
Release Date: Mar 26, 2021
Category: Action
Publisher: Capcom
Multiplayer: up to 4 players
Format: NSP
Title ID: 0100B04011742000
Title Size: 6.56 GB
Language: En, Fr, De, It, Es, Ja, Ru, Ko, Zh
Required Firmware: 11.0.1
CFW: 11.0.1 + Atmosphere 0.17.0

Rise to the challenge and join the hunt in MONSTER HUNTER RISE NSP. The critically acclaimed action-RPG series returns to the Nintendo Switch™!

Description: Set in the ninja-inspired land of Kamura Village, explore lush ecosystems and battle fearsome monsters to become the ultimate hunter. It’s been half a century since the last calamity struck, but a terrifying new monster has reared its head and threatens to plunge the land into chaos once again. Hunt solo or in a party with friends to earn rewards that you can use to craft a huge variety of weapons and armor. Brand new gameplay systems such as the high-flying ‘Wire Action’ and your canine companion ‘Palamute’ will add exciting new layers to the already robust combat that Monster Hunter is known for. Whether it’s at home, on the go, online or offline – you’ll always be ready for your next hunt on the Nintendo Switch™!

How to Install the Game

  1. Install the NSP/XCI with Tinfoil, Awoo Installer or Gold Leaf.
  2. Once installations is done play and Enjoy the game.

Download Links

Region Japan [0100559011740000]

Base Game NSP (6.6 GB)

KatFile (No Ads) (Buy Premium)
Download / DLCs / Update 1.1.2

1Fichier
Download

SendCM
Download

Google Drive
Download

Torrent
Download

Update 1.1.2 (v196608)

Region USA [0100B04011742000]

Base Game NSP (6.56 GB)

KatFile (No Ads) (Buy Premium)
Download / DLCs / Update 1.1.2

1Fichier
Download

SendCM
Download

Google Drive
Download

Torrent
Download

Update 1.1.2 (v196608)

Please report the broken/dead/missing links into the comment section.

guest
612 Comments
Newest
Oldest Most Voted
Inline Feedbacks
View all comments

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283

Warning: mysqli_num_fields() expects parameter 1 to be mysqli_result, bool given in /home/nxbrewco/public_html/wp-includes/wp-db.php on line 3283
Ahmed
Ahmed
25 days ago

working fine on 11.0.1, AMS 0.18.1

installed XCI using Awoo Installer

thanks for providing this

I am going to have a fun weekend because of you man!

Note: please update your FW and signature patches also your NSP or XCI installer to avoid any potential issues

thanks

Anonymous
Anonymous
23 days ago
Reply to  AdminNx

Admin any news on day one patch 1.1? It’s out now for pre-orders and live.

Mocha
Mocha
23 days ago
Reply to  AdminNx

Would you upload the official nsp with the correct mca later?

lui
lui
21 days ago
Reply to  AdminNx

Is there any good reason to wait for offial nsp? I dont care about ban, but wouldnt want to start save file again.

HansRume
HansRume
11 days ago
Reply to  AdminNx

why XCI?

Anon
Anon
10 days ago
Reply to  HansRume

because there’s no reason to install converted nsp when you can just install xci directly. same end result except you get to verify that the file is legit, with the signature checks

lutfi
lutfi
25 days ago
Reply to  Ahmed

sx os 3.1, FW 10.2.0 works well

Codsworth_fresh
Codsworth_fresh
23 days ago
Reply to  lutfi

did you work on FW10.2.0 with the Update 1.1.1?

Ocelot
Ocelot
22 days ago

Don’t work for me, with latest sigoatches and Atmos… Whitout update works fine

Wen
Wen
20 days ago
Reply to  Ocelot

AMS 0.14.1 / 10.0.4
Update 1.1 didnt work 🙁

HansRume
HansRume
11 days ago
Reply to  AdminNx

what you mind?

sean
sean
22 days ago
Reply to  lutfi

after day one update. it not works for me? any patched update release?

mysticdan
mysticdan
24 days ago
Reply to  Ahmed

reminder: we can use ldn_mitm sys module to play local mode “online”.
Switch-LAN-Play-Software is needed on the pc,
follow instructions on
lan-play dot com /install to get started.
SX OS 2.5+ has ldn_mitm included

mysticdan
mysticdan
24 days ago
Reply to  Ahmed

correction: you dont need ldn_mitm in this case.

benphantom
benphantom
24 days ago
Reply to  Ahmed

Can confirm working on 11.0.1, AMS 0.18.1
Installed Converted NSP using GoldLeaf

I had to update my signature patches and goldleaf before it was able to work. Make sure you do that!

Marvin Bonilla
17 days ago
Reply to  Ahmed

Not this game related- Sorry but i don’t know where to ask/request this but is there any chance we can get Beach Buggy Racing 2 XCI, not sure if you take requests and what is the protocol. Thanks in advance

Edwin
Edwin
3 days ago

Can I have the link for the patched v1.1.1 update that worked with fw11.0? thx

Edwin
Edwin
2 days ago
Reply to  AdminNx

Gold leaf can install the update by ignoring the FW version? im sxos user so i cant update my fw to 11.0.1

kevin
kevin
3 days ago

katfile has been removed. USA version

Christian T
Christian T
7 days ago

Mi console actual version is 10.2.0 and AMS 0.18.1, the game should work or not… is a question, I just can add the symbol.

Maguissimo
Maguissimo
8 days ago

after installing the update, the game crashs after loading on ryujinx

Maguissimo
Maguissimo
7 days ago
Reply to  AdminNx

Im playing the 1.1.1 with de last LDN2 with 30~40 fps, the problem is that 1.1.2 broking the emulator

bambang
bambang
5 days ago
Reply to  AdminNx

the gpu is still okay imo, i think u only need upgrade that 4 core cpu to 6/8 core cpu

i think im gonna have almost same/worse result in fps, cz i have the 4th gen cpu with same core

carlskie
carlskie
8 days ago

does 1.1.2 works on SXOS?

chester
chester
8 days ago

hola,el DLC pack esta caido :(el link muerto

Legos
Legos
9 days ago

DLC Pack Google drive link is broken

smoothbones
smoothbones
10 days ago

Adding onto my last comment that I guess I can’t edit or reply to while it’s not approved: I forgot that I had installed the Xbox button prompts mod; with how Rise mods are packaged now it had to be repackaged to the new version name of course, so that’s fixed now.

Maguissimo
Maguissimo
8 days ago
Reply to  smoothbones

how did you installed the prompt mod?

smoothbones
smoothbones
10 days ago

After working fine previously on 1.1.1, 1.1.2 is freezing at the opening splashscreen when trying to launch the game. Maybe the update requires FW 12.0 or something?

Wiliam Afton
Wiliam Afton
10 days ago
I keep trying to download the update and it doesn't work either, it says "the program was closed due to an error, try again in the Home menu"
I don't know how to fix it, it helps 🙁
bee
bee
11 days ago

helppp when installed the game there show this to me (A software update is required. Update data will be downloaded now) how to fix it.

Kenny
Kenny
11 days ago

Hi! thanks for the game.

What do the updates add to the game? I cannot install because of my 10.2.0 firmware. Will I have a bad experience?

gb3
gb3
10 days ago
Reply to  Kenny

I updated my switch to fw11. 0. 1 with atmos 18 from 10.2 in order to update the game. There’s no major difference except for tge fact that you can install the dlcs and also welcome future updates. The base game itself leads upto the thunder serpent elder dragon/endgame but capcom has announced that they will update the game later on with new and returning monsters. Don’t forget your sigpatches in case you plan to update.

STORM
STORM
11 days ago

Hi, anybody knows how to activate the DLC? TQ

gb3
gb3
10 days ago
Reply to  STORM

Update your fw to 11.0. 1 then install the update so you can use the dlcs.

Zeldagirl
Zeldagirl
11 days ago

With SX OS 3.1.0 and Firmware 11.0.0 – I can play the patched Version WITH Update!

HansRume
HansRume
11 days ago

Didnt working :/

Azu
Azu
11 days ago

Theres a new patch 1.1.2

Julo
Julo
11 days ago
Reply to  AdminNx

Thats fast boss thank you

williamprvz
williamprvz
11 days ago

game cannot be launched after installing update

Edson
Edson
11 days ago

Please add the new update

Bomyom
Bomyom
11 days ago

Please kindly update with version 1.1.2 🙂

LUFER
LUFER
12 days ago

estaba en version 10.2 y atmos 17.1
actualice mi firmware a 11.0 e instale el juego base, con sus updates y DLC y funciona bien 😀

yarak
yarak
12 days ago

ofline 4 players on a single switch

nami
nami
13 days ago

MEGA, Google Drive, SendCM, UpBox update 1.1.1 dead links

skpManiac
skpManiac
4 days ago
Reply to  Anon

You might want to try saying please & thank you along with your crazy requests, just ask for a game, the admins are not here just for you!

Insnzmb
Insnzmb
14 days ago

Says i down own the rivhts does online verification

Anon
Anon
4 days ago
Reply to  Insnzmb

Let me guess. Tinfoil, standard crypto?

Games that have dlc will never work if you install the dlc as standard crypto.

Failing that, update sig patches

Pochama800
Pochama800
15 days ago

reupload on mega?

romy
romy
15 days ago

hola sabes que habia instalado sin ningun problema el juego ayer pero ahora no me funciona tengo la version 10.0 me sale que tengo que actualizar ojala me pudieras ayudar ya que no entiendo porque ahora no puedo jugarlo.
para instalarlo ocupe awoo.

Julia
Julia
15 days ago

Thank you so much! After updating my SigPatches it worked perfectly.

japhet
japhet
14 days ago
Reply to  AdminNx

i’m pretty sure i’ve updated my sigpatches correctly, im also on 11.0.1 firmware , but still cant install monster hunter

japhet
japhet
10 days ago
Reply to  AdminNx

I’m on 11.0.1 with 0.18.1 ams still mentions updated sigpatches

bypasser
bypasser
16 days ago

I’m using SXOS 3.0.5, FW 10.2.0. In order to play, you will need to ONLY install version 1.0.0, and don’t update to version 1.1.1. I think there is no way to get 1.1.1 on lower firmware. I only tested with NSP, so not sure if same case with XCI.

washimingo
washimingo
17 days ago

al instalar el update 1.1.1 nsp, el juego se crashea, hay que esperar a que salga una nueva update ? yo lo instalo con Goldtree

Nik
Nik
16 days ago
Reply to  washimingo

Tal como muchos indican en los comentarios, el update 1.1.1 solo funciona cuando tienen FW en la version 11+

romy
romy
14 days ago
Reply to  washimingo

hola pudiste jugar el juego sin los update?
a mi no me funciona lo hago por awoo

Nik
Nik
12 days ago
Reply to  romy

Actualiza la consola y sigpatches. Te debería funcionar después de eso.

jose antonio
jose antonio
17 days ago

somebody know if can I connect my switch to net to install the last update of my fw?

Nik
Nik
12 days ago
Reply to  jose antonio

Don’t do that. Use ChoiDujour to update offline. There are tons of tutorials on youtube

Gene
Gene
18 days ago

Can you upload mega on mhrise> usa > 1.1.1 thanks its the only way i can download it has feature that van be paused while downloading

Yaru
Yaru
18 days ago

USA DLC G-Drive link returns 404.

Update 1.1.1 Gdrive still works.

kevinb
kevinb
18 days ago

Region Japan [0100559011740000]
Update 1.1.1 (v131072)
broken
it cant be open on fw11.0.1 ams.18.1

Krilitich
Krilitich
18 days ago

Can someone tell me how to get the dlc contents? I installed the 28DLC US version but it’s not in the inventory, where do I get them?

Jimmy
Jimmy
19 days ago

I can’t seem to get anything to download. I’m always sent to 20 different pages and never to the link that’ll let me finally download what I want to download.

chanonk
chanonk
19 days ago

I’m using cfw 10.2.0/ Atmosphere 0.15.0.
Can play base game,
but updated 1.1.1 then game crash “…go to home”

chanonk
chanonk
19 days ago
Reply to  AdminNx

I can’t found cfw 11.0.1 on webs
Admin can share link download for me?? Plz

chanonk
chanonk
18 days ago
Reply to  AdminNx

CFW, thank you. ^3^

chanonk
chanonk
18 days ago
Reply to  AdminNx

thx admin i can downloaded cfw11.0.1
from darth…nie

Mark Paulson
Mark Paulson
19 days ago

Hi Admin, apologies for using this thread but I wanted to ask you if game requests are still open. Thanks

Nik
Nik
19 days ago

Game with update 1.1.1 working fine on FW 11. Did not work on 10.2 for me, so keep that in mind.

Thank you!

João
João
19 days ago

Firmware 10.2.0 does not work with update 1.1.1?

Marcel Oliver Tavares Klühn
Marcel Oliver Tavares Klühn
19 days ago

I have installed the nsp. base file and the 1.1.1 update patch on Ryujinxs latest build and firmware, but it doesn’t load, I get immediately stuck at a black screen. Does the patch not work on the lastest firmware or am I missing something else?

GewaldGO
19 days ago

will the xci dlc and updates work with the verified nsp

Iago
Iago
19 days ago

Alguém conseguiu instalar a atualização na firmware 10.2.0?

DemonEyes
DemonEyes
19 days ago

Hi guys,
Is the NSP working for this?

DemonEyes
DemonEyes
19 days ago
Reply to  AdminNx

True for most I guess.

I have FW 10.2
SXOS 3.0.5
However, it tells me to update when starting Monster Hunter. I have no idea where to get the FW from etc or if there is some other work around. I was going to download the XCI but thought I will probably still required to update the FW. Any help/guidance etc is welcomed… Thanks!

DemonEyes
DemonEyes
19 days ago
Reply to  AdminNx

Can you update that in the ‘Required Firmware’ section please.. Thanks 🙂

Tetris90's
20 days ago

hi admin what’s the difference between verified and converted nsp . should I reinstall the verified nsp or stick to converted one?

rubenescaray
rubenescaray
20 days ago

the 1fichier link for the update leads to the JP version of the game

MamonHunter
MamonHunter
20 days ago

Can someone confirm if the DLC include the Magnamalo amiibo layered armor?

Alguien puede confirmar si el pack DLC incluye la armadura sobre puesta del amiibo de Magnamalo?

Freak
Freak
2 days ago
Reply to  MamonHunter

Sadly no :'(

Red-1
Red-1
20 days ago

Is there any workaround to play MH Rise on SX OS?
my SX OS is ver. 3.1.0

opened in game ver 1.0.0 the game demands update and shuts.

if updated to ver. 1.1.1 the game encountered an error and can’t be open either.

I installed the XCI using Tinfoil and the NSP update using Goldleaf.

Red-1
Red-1
20 days ago
Reply to  AdminNx

yes, tried and failed, with and without the update. the same problem.

Red-1
Red-1
20 days ago
Reply to  AdminNx

Manage to do it by updating FW to 11.0.0, and install using Awoo Installer(Tinfoil doesn’t work) using the patched update. Since the patched update is brought down here, I found it someplace else.

zucca
zucca
20 days ago

what about eu version?

manly man guy
manly man guy
20 days ago

You are a saint, thank you